spring.application.name = AMOS-LATENT-DANGER
server.servlet.context-path=/latentDanger
server.port = 8086


spring.profiles.active=dev
spring.jackson.serialization.write-dates-as-timestamps=true
feign.httpclient.enabled= true

logging.config=classpath:logback-${spring.profiles.active}.xml
#鏃堕棿杩斿洖绫诲瀷閰嶇疆
spring.jackson.date-format=yyyy-MM-dd HH:mm:ss
spring.jackson.time-zone = Asia/Shanghai

#DB properties:
spring.jpa.show-sql = true
spring.jpa.hibernate.ddl-auto = none
spring.jpa.hibernate.naming-strategy = org.hibernate.cfg.ImprovedNamingStrategy
spring.jpa.database-platform = org.hibernate.dialect.MySQLDialect
mybatis.mapper-locations = classpath:db/mapper/*.xml
mybatis-plus.mapper-locations=classpath:db/mapper/*.xml
mybatis.type-aliases-package = com.yeejoin.amos.patrol.business.entity.mybatis
mybatis.configuration.mapUnderscoreToCamelCase=true
spring.liquibase.change-log=classpath:/db/changelog/changelog-master.xml
spring.liquibase.enabled=true

mybatis.configuration.log-impl=org.apache.ibatis.logging.stdout.StdOutImpl

equip.fegin.name=AMOS-EQUIPMANAGE
equip.fegin.prefix=/equip
input.custom.prefix = QYZD
input.statute.prefix = FG


Security.fegin.name=AMOS-API-PRIVILEGE

amos.feign.gennerator.use-gateway=true

Business.fegin.name=AMOS-AUTOSYS

Push.fegin.name=APPMESSAGEPUSHSERVICE


amos.flowWork.topic =/STATE_GRID/hazardManagement
amosRefresh.danger.topic =patrolDangerInsertOrUpdate
amosRefresh.patrol.topic =patrolCheckInsert
#停止通过WEB公开所有端点
management.endpoints.web.exposure.exclude=*
## redis失效时间
redis.cache.failure.time=10800

danger.biz.type=supervision
workflow.process.definition.key=fire_supervision_hazard_management

pagehelper.helper-dialect=mysql
pagehelper.params=count=countSql
pagehelper.reasonable=false
pagehelper.support-methods-arguments=true

feign.httpclient.connection-timeout=5000